try {
	(function() {
		var apis = ["makeObjCCall", "resolveUrl", "revertUrl", "listAssets", "checkReachability", "passThrough"],
			pendingCalls = [],
			internalApi;
	
		window.offlinePagesApi = {
			__bootstrap: function(api) {
				internalApi = api;
				for (var i = 0; i < pendingCalls.length; i ++) {
					var call = pendingCalls[i]; 
					internalApi[call[0]].apply(internalApi, call[1]);
				}
				pendingCalls = [];
			}
		};
	
		for (var i in apis) {
			(function() {
				var api = apis[i];
				window.offlinePagesApi[api] = function() {
					if (typeof internalApi === "object") {
						internalApi[api].apply(internalApi, arguments);
					} else {
						pendingCalls.push([api, arguments]);
					}
				};
			})();
		}
	
	})();
} catch(e) {
	delete window.offlinePagesApi;
}
